org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface EjbLocalRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface EjbLocalRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `ejb-local-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<EjbLocalRefType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `EjbLocalRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `EjbLocalRefType<T>` | `ejbLink(java.lang.String ejbLink)` Sets the `ejb-link` element
    `EjbLocalRefType<T>` | `ejbRefName(java.lang.String ejbRefName)` Sets the `ejb-ref-name` element
    `EjbLocalRefType<T>` | `ejbRefType(EjbRefTypeType ejbRefType)` Sets the `ejb-ref-type` element
    `EjbLocalRefType<T>` | `ejbRefType(java.lang.String ejbRefType)` Sets the `ejb-ref-type` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<EjbLocalRefType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.lang.String` | `getEjbLink()` Returns the `ejb-link` element
    `java.lang.String` | `getEjbRefName()` Returns the `ejb-ref-name` element
    `EjbRefTypeType` | `getEjbRefType()` Returns the `ejb-ref-type` element
    `java.lang.String` | `getEjbRefTypeAsString()` Returns the `ejb-ref-type` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLocal()` Returns the `local` element
    `java.lang.String` | `getLocalHome()` Returns the `local-home` element
    `java.lang.String` | `getLookupName()` Returns the `lookup-name` element
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<EjbLocalRefType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `EjbLocalRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `EjbLocalRefType<T>` | `local(java.lang.String local)` Sets the `local` element
    `EjbLocalRefType<T>` | `localHome(java.lang.String localHome)` Sets the `local-home` element
    `EjbLocalRefType<T>` | `lookupName(java.lang.String lookupName)` Sets the `lookup-name` element
    `EjbLocalRefType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `EjbLocalRefType<T>` | `removeAllDescription()` Removes the `description` element
    `EjbLocalRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `EjbLocalRefType<T>` | `removeEjbLink()` Removes the `ejb-link` element
    `EjbLocalRefType<T>` | `removeEjbRefName()` Removes the `ejb-ref-name` element
    `EjbLocalRefType<T>` | `removeEjbRefType()` Removes the `ejb-ref-type` attribute
    `EjbLocalRefType<T>` | `removeId()` Removes the `id` attribute
    `EjbLocalRefType<T>` | `removeLocal()` Removes the `local` element
    `EjbLocalRefType<T>` | `removeLocalHome()` Removes the `local-home` element
    `EjbLocalRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
    `EjbLocalRefType<T>` | `removeMappedName()` Removes the `mapped-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### lookupName

          EjbLocalRefType<T> lookupName(java.lang.String lookupName)

      Sets the `lookup-name` element
      Parameters:
        `lookupName` - the value for the element `lookup-name`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getLookupName

          java.lang.String getLookupName()

      Returns the `lookup-name` element
      Returns:
        the node defined for the element `lookup-name`

    - #### removeLookupName

          EjbLocalRefType<T> removeLookupName()

      Removes the `lookup-name` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### mappedName

          EjbLocalRefType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          EjbLocalRefType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<EjbLocalRefType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<EjbLocalRefType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<EjbLocalRefType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          EjbLocalRefType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          EjbLocalRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          EjbLocalRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### ejbRefName

          EjbLocalRefType<T> ejbRefName(java.lang.String ejbRefName)

      Sets the `ejb-ref-name` element
      Parameters:
        `ejbRefName` - the value for the element `ejb-ref-name`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getEjbRefName

          java.lang.String getEjbRefName()

      Returns the `ejb-ref-name` element
      Returns:
        the node defined for the element `ejb-ref-name`

    - #### removeEjbRefName

          EjbLocalRefType<T> removeEjbRefName()

      Removes the `ejb-ref-name` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### ejbRefType

          EjbLocalRefType<T> ejbRefType(EjbRefTypeType ejbRefType)

      Sets the `ejb-ref-type` element
      Parameters:
        `ejbRefType` - the value for the element `ejb-ref-type`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### ejbRefType

          EjbLocalRefType<T> ejbRefType(java.lang.String ejbRefType)

      Sets the `ejb-ref-type` element
      Parameters:
        `ejbRefType` - the value for the element `ejb-ref-type`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getEjbRefType

          EjbRefTypeType getEjbRefType()

      Returns the `ejb-ref-type` element
      Returns:
        the value found for the element `ejb-ref-type`

    - #### getEjbRefTypeAsString

          java.lang.String getEjbRefTypeAsString()

      Returns the `ejb-ref-type` element
      Returns:
        the value found for the element `ejb-ref-type`

    - #### removeEjbRefType

          EjbLocalRefType<T> removeEjbRefType()

      Removes the `ejb-ref-type` attribute
      Returns:
        the current instance of `EjbLocalRefType`

    - #### localHome

          EjbLocalRefType<T> localHome(java.lang.String localHome)

      Sets the `local-home` element
      Parameters:
        `localHome` - the value for the element `local-home`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getLocalHome

          java.lang.String getLocalHome()

      Returns the `local-home` element
      Returns:
        the node defined for the element `local-home`

    - #### removeLocalHome

          EjbLocalRefType<T> removeLocalHome()

      Removes the `local-home` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### local

          EjbLocalRefType<T> local(java.lang.String local)

      Sets the `local` element
      Parameters:
        `local` - the value for the element `local`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getLocal

          java.lang.String getLocal()

      Returns the `local` element
      Returns:
        the node defined for the element `local`

    - #### removeLocal

          EjbLocalRefType<T> removeLocal()

      Removes the `local` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### ejbLink

          EjbLocalRefType<T> ejbLink(java.lang.String ejbLink)

      Sets the `ejb-link` element
      Parameters:
        `ejbLink` - the value for the element `ejb-link`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getEjbLink

          java.lang.String getEjbLink()

      Returns the `ejb-link` element
      Returns:
        the node defined for the element `ejb-link`

    - #### removeEjbLink

          EjbLocalRefType<T> removeEjbLink()

      Removes the `ejb-link` element
      Returns:
        the current instance of `EjbLocalRefType`

    - #### id

          EjbLocalRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `EjbLocalRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          EjbLocalRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `EjbLocalRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)